import { Params as BootstrapParams } from './hooks/bootstrap';
import { Params as InitParams } from './hooks/init';
import { Params as DeathParams } from './hooks/death';
export { default as bootstrapHook, Params as BootstrapParams, } from './hooks/bootstrap';
export { default as initHook, Params as InitParams, } from './hooks/init';
export { default as deathHook, Params as DeathParams, } from './hooks/death';
export declare const hooks: {
    bootstrap: import("@spine/hook").HookAction<any, BootstrapParams>;
    init: import("@spine/hook").HookActionSeries<any, InitParams>;
    death: import("@spine/hook").HookActionSync<any, DeathParams>;
};
export declare const log: import("@spine/logger").Log<{
    error: number;
    warn: number;
    special: number;
    info: number;
    verbose: number;
    debug: number;
    silly: number;
}, void | {
    readonly name: string;
    readonly options: import("@spine/logger").LoggerOptions<any>;
    getDisplayName(): string;
    enabled(label: any): boolean;
    child<C extends import("@spine/logger").LogLevels = any>(name: string, options?: import("@spine/logger").LoggerOptions<C> | undefined): import("@spine/logger").Log<C, import("@spine/logger").LoggerMember<any, any>>;
    log: import("@spine/logger").Log<any, any>;
} | ({
    readonly name: string;
    readonly options: import("@spine/logger").LoggerOptions<any>;
    getDisplayName(): string;
    enabled(label: any): boolean;
    child<C extends import("@spine/logger").LogLevels = any>(name: string, options?: import("@spine/logger").LoggerOptions<C> | undefined): import("@spine/logger").Log<C, import("@spine/logger").LoggerMember<any, any>>;
    log: import("@spine/logger").Log<any, any>;
} & {
    readonly parent: any;
})>;
export declare function didDie(): boolean;
export declare function didBootstrap(): boolean;
export declare function bootstrap(): Promise<{
    bootstrap: {
        [key: string]: any;
    };
    init: {
        [key: string]: any;
    };
}>;
export declare function die(): Promise<any>;
export declare function dieSync(): any;
